Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Util
Class Conf

    java.lang.Object
      |
      +--jChatBox.Util.Conf

public class Conf
extends java.lang.Object

This class is a collection of constants for jChatBox.

Field Summary
`static java.lang.String` | `ACCESSDENIED`
`static java.lang.String` | `ADDMODERATOR`
`static java.lang.String` | `ALREADYBANNED`
`static int` | `APPLET`
`static java.lang.String` | `BACKUPDONE`
`static java.lang.String` | `BACKUPHELP`
`static java.lang.String` | `BANHELP`
`static java.lang.String` | `BANIPHELP`
`static java.lang.String` | `BANNED`
`static int` | `BUFFEREDFRAMED`
`static java.lang.String` | `CANNOTKICKOFFORBAN`
`static java.lang.String` | `CHATHELP`
`static java.lang.String` | `CHATROOMBLACKLISTCLEARED`
`static java.lang.String` | `CHATROOMCLEARED`
`static java.lang.String` | `CHATROOMCLOSED`
`static java.lang.String` | `CHATROOMIDMISSING`
`static java.lang.String` | `CHATROOMNAMEMISSING`
`static java.lang.String` | `CHATROOMNOTFOUND`
`static java.lang.String` | `CHATROOMOPENED`
`static java.lang.String` | `CHATROOMSUBJECTMISSING`
`static java.lang.String` | `CHATROOMTRANSCRIPTED`
`static java.lang.String` | `CHATROOMUPDATED`
`static java.lang.String` | `CLEARCHATROOMHELP`
`static java.lang.String` | `CLEARHELP`
`static java.lang.String` | `CLOSECHATROOMHELP`
`static java.lang.String` | `CLOSED`
`static java.lang.String` | `COMMANDNOTALLOWED`
`static java.lang.String` | `COMMANDOK`
`static int` | `FLASH`
`static int` | `FRAMED`
`static java.lang.String` | `GENERATETRANSCRIPTHELP`
`static java.lang.String` | `HELPHELP`
`static java.lang.String` | `INVALIDCOMMAND`
`static java.lang.String` | `INVALIDNAME`
`static java.lang.String` | `IPADDRESSMISSING`
`static java.lang.String` | `IPREMOVED`
`static java.lang.String` | `JSPMANAGECHATROOM`
`static java.lang.String` | `JSPMENU`
`static java.lang.String` | `JSPOPENCHATROOM`
`static java.lang.String` | `JSPROOM`
`static java.lang.String` | `JSPROOMCONTENT`
`static java.lang.String` | `JSPSYSTEMLOGIN`
`static java.lang.String` | `JSPUSERLOGIN`
`static java.lang.String` | `KICKEDOFF`
`static java.lang.String` | `KICKOFFHELP`
`static java.lang.String` | `LOGOUTHELP`
`static java.lang.String` | `MODERATORADDED`
`static java.lang.String` | `MODERATORHELPHELP`
`static java.lang.String` | `MODERATORREMOVED`
`static java.lang.String` | `MODERATORUPDATED`
`static java.lang.String` | `MODERATORUSERJOINED`
`static java.lang.String` | `NAMENOTAVAILABLE`
`static java.lang.String` | `NAMENOTFOUND`
`static int` | `NONFRAMED`
`static java.lang.String` | `NOVACANCIES`
`static java.lang.String` | `OPENCHATROOMHELP`
`static java.lang.String` | `QUITHELP`
`static int` | `REFRESHCONSTANT` T=Tlim.
`static java.lang.String` | `REFRESHHELP`
`static int` | `REFRESHLOAD` T=1+(Tlim/UsersInChatroom).
`static int` | `REFRESHTRACK` T=2*Tlim*(1-Tlim/(Tlim+deltaT)).
`static java.lang.String` | `REMOVEMODERATOR`
`static java.lang.String` | `SYSTEMERROR`
`static java.lang.String` | `SYSTEMHELPHELP`
`static java.lang.String` | `SYSTEMUSERJOINED`
`static java.lang.String` | `TIMEHELP`
`static java.lang.String` | `TRANSCRIPTFAILED`
`static java.lang.String` | `UNKNOWNCOMMAND`
`static java.lang.String` | `UPDATEMODERATOR`
`static java.lang.String` | `UPDATESYSTEMHELP`
`static java.lang.String` | `USERNAMEMISSING`
`static java.lang.String` | `VERSION`
`static int` | `XMLCANNOTCHAT`
`static java.lang.String` | `XMLCONFIGUPDATED`
`static int` | `XMLLOGINFAILED`
`static int` | `XMLLOGINMODULEMISSING`
`static int` | `XMLPARAMETERMISSING`
`static int` | `XMLSERVERERROR`
`static int` | `XMLUNKNOWNACTION`

Constructor Summary
`Conf()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### REFRESHCONSTANT

    public static final int REFRESHCONSTANT

  T=Tlim.

  See Also:
    Constant Field Values

### REFRESHTRACK

    public static final int REFRESHTRACK

  T=2*Tlim*(1-Tlim/(Tlim+deltaT)).

  See Also:
    Constant Field Values

### REFRESHLOAD

    public static final int REFRESHLOAD

  T=1+(Tlim/UsersInChatroom).

  See Also:
    Constant Field Values

### NONFRAMED

    public static final int NONFRAMED

See Also:
  Constant Field Values

### FRAMED

    public static final int FRAMED

See Also:
  Constant Field Values

### BUFFEREDFRAMED

    public static final int BUFFEREDFRAMED

See Also:
  Constant Field Values

### APPLET

    public static final int APPLET

See Also:
  Constant Field Values

### FLASH

    public static final int FLASH

See Also:
  Constant Field Values

### UNKNOWNCOMMAND

    public static java.lang.String UNKNOWNCOMMAND

### COMMANDOK

    public static java.lang.String COMMANDOK

### COMMANDNOTALLOWED

    public static java.lang.String COMMANDNOTALLOWED

### INVALIDCOMMAND

    public static java.lang.String INVALIDCOMMAND

### TIMEHELP

    public static java.lang.String TIMEHELP

### CHATHELP

    public static java.lang.String CHATHELP

### REFRESHHELP

    public static java.lang.String REFRESHHELP

### QUITHELP

    public static java.lang.String QUITHELP

### LOGOUTHELP

    public static java.lang.String LOGOUTHELP

### HELPHELP

    public static java.lang.String HELPHELP

### GENERATETRANSCRIPTHELP

    public static java.lang.String GENERATETRANSCRIPTHELP

### OPENCHATROOMHELP

    public static java.lang.String OPENCHATROOMHELP

### CLEARCHATROOMHELP

    public static java.lang.String CLEARCHATROOMHELP

### CLOSECHATROOMHELP

    public static java.lang.String CLOSECHATROOMHELP

### KICKOFFHELP

    public static java.lang.String KICKOFFHELP

### BANHELP

    public static java.lang.String BANHELP

### BANIPHELP

    public static java.lang.String BANIPHELP

### CLEARHELP

    public static java.lang.String CLEARHELP

### MODERATORHELPHELP

    public static java.lang.String MODERATORHELPHELP

### UPDATESYSTEMHELP

    public static java.lang.String UPDATESYSTEMHELP

### BACKUPHELP

    public static java.lang.String BACKUPHELP

### ADDMODERATOR

    public static java.lang.String ADDMODERATOR

### REMOVEMODERATOR

    public static java.lang.String REMOVEMODERATOR

### UPDATEMODERATOR

    public static java.lang.String UPDATEMODERATOR

### SYSTEMHELPHELP

    public static java.lang.String SYSTEMHELPHELP

### CLOSED

    public static java.lang.String CLOSED

### NOVACANCIES

    public static java.lang.String NOVACANCIES

### NAMENOTAVAILABLE

    public static java.lang.String NAMENOTAVAILABLE

### NAMENOTFOUND

    public static java.lang.String NAMENOTFOUND

### INVALIDNAME

    public static java.lang.String INVALIDNAME

### KICKEDOFF

    public static java.lang.String KICKEDOFF

### BANNED

    public static java.lang.String BANNED

### ALREADYBANNED

    public static java.lang.String ALREADYBANNED

### IPREMOVED

    public static java.lang.String IPREMOVED

### MODERATORADDED

    public static java.lang.String MODERATORADDED

### MODERATORREMOVED

    public static java.lang.String MODERATORREMOVED

### MODERATORUPDATED

    public static java.lang.String MODERATORUPDATED

### CANNOTKICKOFFORBAN

    public static java.lang.String CANNOTKICKOFFORBAN

### MODERATORUSERJOINED

    public static java.lang.String MODERATORUSERJOINED

### SYSTEMUSERJOINED

    public static java.lang.String SYSTEMUSERJOINED

### ACCESSDENIED

    public static java.lang.String ACCESSDENIED

### CHATROOMNAMEMISSING

    public static java.lang.String CHATROOMNAMEMISSING

### CHATROOMSUBJECTMISSING

    public static java.lang.String CHATROOMSUBJECTMISSING

### CHATROOMIDMISSING

    public static java.lang.String CHATROOMIDMISSING

### CHATROOMNOTFOUND

    public static java.lang.String CHATROOMNOTFOUND

### TRANSCRIPTFAILED

    public static java.lang.String TRANSCRIPTFAILED

### USERNAMEMISSING

    public static java.lang.String USERNAMEMISSING

### IPADDRESSMISSING

    public static java.lang.String IPADDRESSMISSING

### SYSTEMERROR

    public static java.lang.String SYSTEMERROR

### BACKUPDONE

    public static java.lang.String BACKUPDONE

### CHATROOMOPENED

    public static java.lang.String CHATROOMOPENED

### CHATROOMUPDATED

    public static java.lang.String CHATROOMUPDATED

### CHATROOMCLEARED

    public static java.lang.String CHATROOMCLEARED

### CHATROOMCLOSED

    public static java.lang.String CHATROOMCLOSED

### CHATROOMTRANSCRIPTED

    public static java.lang.String CHATROOMTRANSCRIPTED

### CHATROOMBLACKLISTCLEARED

    public static java.lang.String CHATROOMBLACKLISTCLEARED

### XMLCONFIGUPDATED

    public static java.lang.String XMLCONFIGUPDATED

### JSPSYSTEMLOGIN

    public static final java.lang.String JSPSYSTEMLOGIN

See Also:
  Constant Field Values

### JSPMENU

    public static final java.lang.String JSPMENU

See Also:
  Constant Field Values

### JSPOPENCHATROOM

    public static final java.lang.String JSPOPENCHATROOM

See Also:
  Constant Field Values

### JSPMANAGECHATROOM

    public static final java.lang.String JSPMANAGECHATROOM

See Also:
  Constant Field Values

### JSPROOM

    public static final java.lang.String JSPROOM

See Also:
  Constant Field Values

### JSPROOMCONTENT

    public static final java.lang.String JSPROOMCONTENT

See Also:
  Constant Field Values

### JSPUSERLOGIN

    public static final java.lang.String JSPUSERLOGIN

See Also:
  Constant Field Values

### XMLSERVERERROR

    public static final int XMLSERVERERROR

See Also:
  Constant Field Values

### XMLLOGINFAILED

    public static final int XMLLOGINFAILED

See Also:
  Constant Field Values

### XMLLOGINMODULEMISSING

    public static final int XMLLOGINMODULEMISSING

See Also:
  Constant Field Values

### XMLCANNOTCHAT

    public static final int XMLCANNOTCHAT

See Also:
  Constant Field Values

### XMLUNKNOWNACTION

    public static final int XMLUNKNOWNACTION

See Also:
  Constant Field Values

### XMLPARAMETERMISSING

    public static final int XMLPARAMETERMISSING

See Also:
  Constant Field Values

Constructor Detail

### Conf

    public Conf()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD